.code {
    display: inline-block;
}

.code__fields {
    display: inline-block;
}

input.code__field {
    display: inline-block;
    width: 64px;
    height: 64px;

    font-size: 32px;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;

    border: 2px solid gray;
    border-radius: 4px;
    outline: none;
}

.code__field:focus {
    box-shadow: lightgray 0 2px 3px;
}

.code--error .code__field {
    border-color: red;
}
